package com.ruoyi.system.mapper;

import com.ruoyi.common.core.domain.entity.CategoryInfo;
import com.ruoyi.common.core.domain.entity.MusicInfo;

import java.util.List;

/**
 * 音乐信息Mapper接口
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
public interface MusicInfoMapper 
{
    /**
     * 查询音乐信息
     * 
     * @param id 音乐信息主键
     * @return 音乐信息
     */
    public MusicInfo selectMusicInfoById(String id);

    /**
     * 查询音乐信息列表
     * 
     * @param musicInfo 音乐信息
     * @return 音乐信息集合
     */
    public List<MusicInfo> selectMusicInfoList(MusicInfo musicInfo);

    /**
     * 新增音乐信息
     * 
     * @param musicInfo 音乐信息
     * @return 结果
     */
    public int insertMusicInfo(MusicInfo musicInfo);

    /**
     * 修改音乐信息
     * 
     * @param musicInfo 音乐信息
     * @return 结果
     */
    public int updateMusicInfo(MusicInfo musicInfo);

    /**
     * 删除音乐信息
     * 
     * @param id 音乐信息主键
     * @return 结果
     */
    public int deleteMusicInfoById(String id);

    /**
     * 批量删除音乐信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMusicInfoByIds(String[] ids);

    MusicInfo selectByCate(CategoryInfo categoryInfo);

    List<MusicInfo> selectMusicInfoByCid(String categoryId);
}
